# invoke

operator fun String.invoke(dependencyConstraintNotation: Any): DependencyConstraint
operator fun Configuration.invoke(dependencyConstraintNotation: Any): DependencyConstraint

Adds a dependency constraint to the given configuration.

#### Return

The dependency constraint.

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

#### See also

DependencyConstraintHandler.add

operator fun String.invoke(dependencyConstraintNotation: String, configuration: DependencyConstraint.() -> Unit): DependencyConstraint
operator fun Configuration.invoke(dependencyConstraintNotation: String, configuration: DependencyConstraint.() -> Unit): DependencyConstraint

Adds a dependency constraint to the given configuration.

#### Return

The dependency constraint.

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

configuration

expression to use to configure the dependency constraint.

#### See also

DependencyConstraintHandler.add

operator fun NamedDomainObjectProvider<Configuration>.invoke(dependencyConstraintNotation: Any): DependencyConstraint

Adds a dependency constraint to the given configuration.

#### Return

The dependency constraint.

#### Since

8.3

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

#### See also

DependencyConstraintHandler.add

@JvmName(name = "invokeDependencyScope")
@Incubating
operator fun NamedDomainObjectProvider<DependencyScopeConfiguration>.invoke(dependencyConstraintNotation: Any): DependencyConstraint

Adds a dependency constraint to the given DependencyScopeConfiguration.

#### Return

The dependency constraint.

#### Since

8.5

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

#### See also

DependencyConstraintHandler.add

operator fun NamedDomainObjectProvider<Configuration>.invoke(dependencyConstraintNotation: String, configuration: DependencyConstraint.() -> Unit): DependencyConstraint

Adds a dependency constraint to the given configuration.

#### Return

The dependency constraint.

#### Since

8.3

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

configuration

expression to use to configure the dependency constraint.

#### See also

DependencyConstraintHandler.add

@JvmName(name = "invokeDependencyScope")
@Incubating
operator fun NamedDomainObjectProvider<DependencyScopeConfiguration>.invoke(dependencyConstraintNotation: String, configuration: DependencyConstraint.() -> Unit): DependencyConstraint

Adds a dependency constraint to the given DependencyScopeConfiguration.

#### Return

The dependency constraint.

#### Since

8.5

#### Parameters

dependencyConstraintNotation

notation for the dependency constraint to be added.

configuration

expression to use to configure the dependency constraint.

#### See also

DependencyConstraintHandler.add

inline operator fun invoke(configuration: DependencyConstraintHandlerScope.() -> Unit)

Configures the dependency constraints.